API referenceAudio analyses

Get an audio analysis

The state of an audio analysis: queued / processing (poll again), ready (result) or failed (error; refunded).

?events=hit.snare,downbeat&t0=&t1= adds those event lists windowed to seconds. Free.

GET
/audio-analyses/{analysisId}

Authorization

bearerAuth
AuthorizationBearer <token>

Typecut API key. Generate one in app.typecut.ai → Settings → API keys. Send as Authorization: Bearer tc_live_….

In: header

Path Parameters

analysisId*string
Formatuuid

Query Parameters

events?string

Comma-separated event kinds: beat.tracked, downbeat, hit.kick, hit.snare, hit.hat, note.bass, note.lead, section, salient, key, music, speech, vocals, word, tag.

t0?string

Window start, seconds.

t1?string

Window end, seconds.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/audio-analyses/497f6eca-6276-4993-bfeb-53cbbbba6f08"
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "status": "queued",
    "source": {
      "kind": "media_asset",
      "media_asset_id": "f83c59c2-d228-4515-88d6-11fa95820958",
      "track_id": "89443c0f-6172-4ccb-98e3-b20b8a4e4aba"
    },
    "duration_sec": 0,
    "credits_charged": 0,
    "features_url": "http://example.com",
    "error": "string",
    "created_at": "string",
    "completed_at": "string",
    "result": {
      "property1": null,
      "property2": null
    },
    "events": {
      "property1": [
        {
          "property1": null,
          "property2": null
        }
      ],
      "property2": [
        {
          "property1": null,
          "property2": null
        }
      ]
    },
    "reused": true,
    "note": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}
{
  "error": {
    "type": "string",
    "code": "string",
    "message": "string"
  }
}